%define anolis_release 19

%bcond_without perl_NTLM_enables_optional_test

Name:           perl-NTLM
Summary:        NTLM Perl module
Version:        1.09
Release:        %{anolis_release}%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/NTLM
Source0:        https://cpan.metacpan.org/authors/id/N/NB/NBEBOUT/NTLM-%{version}.tar.gz
Patch0001:	0001-NTLM-1.09-Remove-shebangs-from-the-modules.patch
BuildArch:      noarch
BuildRequires:  perl(MIME::Base64) perl(strict) perl(vars) perl(Test::More) perl(warnings)
BuildRequires:  perl-generators perl-interpreter perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  make
BuildRequires:  perl(constant) perl(Digest::HMAC_MD5) perl(Exporter)
%if %{with perl_NTLM_enables_optional_test}
BuildRequires:  perl(Test::Pod)
%endif

%description
Perl-NTLM is a Perl module that provides an interface to Microsoft's
NTLM authentication protocol. It allows Perl scripts to authenticate
against servers that use NTLM authentication, such as Microsoft Exchange
or Microsoft SharePoint. NTLM stands for NT LAN Manager and is a suite
of Microsoft security protocols that provide authentication, integrity,
and confidentiality to users. The perl-NTLM module helps to facilitate
this process within Perl scripts.

%package doc
Summary: A doc pkg for %{name}
Requires: %{name} = %{EVR}
BuildArch: noarch

%description doc
The document package provices documentation files for %{name}.
Including the Changes file and the README file.

%prep
%autosetup -n NTLM-%{version} -p1

%build
perl Makefile.PL \
	INSTALLDIRS=vendor \
	NO_PACKLIST=1 \
	NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{__make} test

%files
%{_mandir}/man3/*
%{perl_vendorlib}/*

%files doc
%doc Changes README

%changelog
* Thu Apr 13 2023 Heng Qi <hengqi@linux.alibaba.com> - 1.09-19
- Refactor the spec file

* Thu Feb 02 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.09-18
- init from upstream
